PulseTestData.Topology (Apache Geode 1.7.0)
Date: 2018-09-27

org.apache.geode.tools.pulse.tests

## Class PulseTestData.Topology

- java.lang.Object
- - org.apache.geode.tools.pulse.tests.PulseTestData.Topology

- Enclosing class:
    PulseTestData

      public static class PulseTestData.Topology
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `cpuUsagePaintStyleM1`
    `static java.lang.String` | `cpuUsagePaintStyleM2`
    `static java.lang.String` | `cpuUsagePaintStyleM3`
    `static java.lang.String` | `heapUsagePaintStyleM1`
    `static java.lang.String` | `heapUsagePaintStyleM2`
    `static java.lang.String` | `heapUsagePaintStyleM3`
    `static java.lang.String` | `hotSpotCPULbl`
    `static java.lang.String` | `hotSpotHeapLbl`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Topology()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### hotSpotHeapLbl

          public static final java.lang.String hotSpotHeapLbl

      See Also:
        Constant Field Values

    - #### hotSpotCPULbl

          public static final java.lang.String hotSpotCPULbl

      See Also:
        Constant Field Values

    - #### cpuUsagePaintStyleM1

          public static final java.lang.String cpuUsagePaintStyleM1

      See Also:
        Constant Field Values

    - #### cpuUsagePaintStyleM2

          public static final java.lang.String cpuUsagePaintStyleM2

      See Also:
        Constant Field Values

    - #### cpuUsagePaintStyleM3

          public static final java.lang.String cpuUsagePaintStyleM3

      See Also:
        Constant Field Values

    - #### heapUsagePaintStyleM1

          public static final java.lang.String heapUsagePaintStyleM1

      See Also:
        Constant Field Values

    - #### heapUsagePaintStyleM2

          public static final java.lang.String heapUsagePaintStyleM2

      See Also:
        Constant Field Values

    - #### heapUsagePaintStyleM3

          public static final java.lang.String heapUsagePaintStyleM3

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Topology

          public Topology()